Index: src/main/java/net/sf/ehcache/distribution/RMICacheReplicatorFactory.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMICacheReplicatorFactory.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMICacheReplicatorFactory.java	(working copy)
@@ -16,13 +16,14 @@
 
 package net.sf.ehcache.distribution;
 
+import java.util.Properties;
+
 import net.sf.ehcache.event.CacheEventListener;
 import net.sf.ehcache.event.CacheEventListenerFactory;
 import net.sf.ehcache.util.PropertyUtil;
 
-import java.util.Properties;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -47,7 +48,7 @@
      */
     protected static final int DEFAULT_ASYNCHRONOUS_REPLICATION_INTERVAL_MILLIS = 1000;
 
-    private static final Logger LOG = Logger.getLogger(RMICacheReplicatorFactory.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMICacheReplicatorFactory.class);
     private static final String REPLICATE_PUTS = "replicatePuts";
     private static final String REPLICATE_PUTS_VIA_COPY = "replicatePutsViaCopy";
     private static final String REPLICATE_UPDATES = "replicateUpdates";
@@ -127,15 +128,15 @@
                 int asynchronousReplicationIntervalMillisCandidate =
                         Integer.parseInt(asynchronousReplicationIntervalMillisString);
                 if (asynchronousReplicationIntervalMillisCandidate < MINIMUM_REASONABLE_INTERVAL) {
-                    LOG.log(Level.FINE, "Trying to set the asynchronousReplicationIntervalMillis to an unreasonable number." +
+                    LOG.debug("Trying to set the asynchronousReplicationIntervalMillis to an unreasonable number." +
                             " Using the default instead.");
                     asynchronousReplicationIntervalMillis = DEFAULT_ASYNCHRONOUS_REPLICATION_INTERVAL_MILLIS;
                 } else {
                     asynchronousReplicationIntervalMillis = asynchronousReplicationIntervalMillisCandidate;
                 }
             } catch (NumberFormatException e) {
-                LOG.log(Level.WARNING, "Number format exception trying to set asynchronousReplicationIntervalMillis. " +
-                        "Using the default instead. String value was: '" + asynchronousReplicationIntervalMillisString + "'");
+                LOG.warn("Number format exception trying to set asynchronousReplicationIntervalMillis. " +
+                        "Using the default instead. String value was: '{}'", asynchronousReplicationIntervalMillisString);
                 asynchronousReplicationIntervalMillis = DEFAULT_ASYNCHRONOUS_REPLICATION_INTERVAL_MILLIS;
             }
         } else {
Index: src/main/java/net/sf/ehcache/distribution/RMISynchronousCacheReplicator.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMISynchronousCacheReplicator.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMISynchronousCacheReplicator.java	(working copy)
@@ -16,15 +16,16 @@
 
 package net.sf.ehcache.distribution;
 
+import java.io.Serializable;
+import java.util.List;
+
 import net.sf.ehcache.CacheException;
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Element;
 import net.sf.ehcache.Status;
 
-import java.io.Serializable;
-import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Listens to {@link net.sf.ehcache.CacheManager} and {@link net.sf.ehcache.Cache} events and propagates those to
@@ -35,7 +36,7 @@
  */
 public class RMISynchronousCacheReplicator implements CacheReplicator {
 
-    private static final Logger LOG = Logger.getLogger(RMISynchronousCacheReplicator.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMISynchronousCacheReplicator.class);
 
 
     /**
@@ -121,8 +122,8 @@
         }
 
         if (!element.isSerializable()) {
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "Object with key " + element.getObjectKey() + " is not Serializable and cannot be replicated");
+            if (LOG.isWarnEnabled()) {
+                LOG.warn("Object with key {} is not Serializable and cannot be replicated", element.getObjectKey());
             }
             return;
         }
@@ -147,7 +148,7 @@
             try {
                 cachePeer.put(element);
             } catch (Throwable t) {
-                LOG.log(Level.SEVERE, "Exception on replication of putNotification. "
+                LOG.error("Exception on replication of putNotification. "
                         + t.getMessage() + ". Continuing...", t);
             }
         }
@@ -177,18 +178,15 @@
 
         if (replicateUpdatesViaCopy) {
             if (!element.isSerializable()) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Object with key " + element.getObjectKey()
-                            + " is not Serializable and cannot be updated via copy");
-                }
+                LOG.warn("Object with key {} is not Serializable and cannot be updated via copy", element.getObjectKey());
                 return;
             }
 
             replicatePutNotification(cache, element);
         } else {
             if (!element.isKeySerializable()) {
-                if (LOG.isLoggable(Level.WARNING)) {
-                    LOG.log(Level.WARNING, "Key " + element.getObjectKey() + " is not Serializable and cannot be replicated.");
+                if (LOG.isWarnEnabled()) {
+                    LOG.warn("Key {} is not Serializable and cannot be replicated.", element.getObjectKey());
                 }
                 return;
             }
@@ -220,8 +218,8 @@
         }
 
         if (!element.isKeySerializable()) {
-            if (LOG.isLoggable(Level.WARNING)) {
-                LOG.log(Level.WARNING, "Key " + element.getObjectKey() + " is not Serializable and cannot be replicated.");
+            if (LOG.isWarnEnabled()) {
+                LOG.warn("Key {} is not Serializable and cannot be replicated.", element.getObjectKey());
             }
             return;
         }
@@ -242,7 +240,7 @@
             try {
                 cachePeer.remove(key);
             } catch (Throwable t) {
-                LOG.log(Level.SEVERE, "Exception on replication of removeNotification. "
+                LOG.error("Exception on replication of removeNotification. "
                         + t.getMessage() + ". Continuing...", t);
             }
         }
@@ -320,7 +318,7 @@
             try {
                 cachePeer.removeAll();
             } catch (Throwable t) {
-                LOG.log(Level.SEVERE, "Exception on replication of removeAllNotification. "
+                LOG.error("Exception on replication of removeAllNotification. "
                         + t.getMessage() + ". Continuing...", t);
             }
         }
Index: src/main/java/net/sf/ehcache/distribution/MulticastRMICacheManagerPeerProvider.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/MulticastRMICacheManagerPeerProvider.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/MulticastRMICacheManagerPeerProvider.java	(working copy)
@@ -16,10 +16,6 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-
 import java.io.IOException;
 import java.net.InetAddress;
 import java.rmi.NotBoundException;
@@ -27,8 +23,13 @@
 import java.util.Date;
 import java.util.Iterator;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A peer provider which discovers peers using Multicast.
@@ -61,7 +62,7 @@
      */
     protected static final int SHORT_DELAY = 100;
 
-    private static final Logger LOG = Logger.getLogger(MulticastRMICacheManagerPeerProvider.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(MulticastRMICacheManagerPeerProvider.class);
 
 
     private final MulticastKeepaliveHeartbeatReceiver heartBeatReceiver;
@@ -94,7 +95,7 @@
             heartBeatReceiver.init();
             heartBeatSender.init();
         } catch (IOException exception) {
-            LOG.log(Level.SEVERE, "Error starting heartbeat. Error was: " + exception.getMessage(), exception);
+            LOG.error("Error starting heartbeat. Error was: " + exception.getMessage(), exception);
             throw new CacheException(exception.getMessage());
         }
     }
@@ -119,21 +120,20 @@
                 cachePeerEntry.date = new Date();
             }
         } catch (IOException e) {
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Unable to lookup remote cache peer for " + rmiUrl + ". Removing from peer list. Cause was: "
-                        + e.getMessage());
+            if (LOG.isDebugEnabled()) {
+                LOG.debug("Unable to lookup remote cache peer for {}. Removing from peer list. Cause was: {}", rmiUrl, 
+                        e.getMessage());
             }
             unregisterPeer(rmiUrl);
         } catch (NotBoundException e) {
             peerUrls.remove(rmiUrl);
-            if (LOG.isLoggable(Level.FINE)) {
-                LOG.log(Level.FINE, "Unable to lookup remote cache peer for " + rmiUrl + ". Removing from peer list. Cause was: "
-                        + e.getMessage());
+            if (LOG.isDebugEnabled()) {
+                LOG.debug("Unable to lookup remote cache peer for {}. Removing from peer list. Cause was: {}", rmiUrl,
+                        e.getMessage());
             }
         } catch (Throwable t) {
-            LOG.log(Level.SEVERE, "Unable to lookup remote cache peer for " + rmiUrl
-                    + ". Cause was not due to an IOException or NotBoundException which will occur in normal operation:" +
-                    " " + t.getMessage());
+            LOG.error("Unable to lookup remote cache peer for {}. Cause was not due to an IOException or" +
+                    " NotBoundException which will occur in normal operation:{}", rmiUrl, t.getMessage());
         }
     }
 
@@ -157,14 +157,12 @@
                         CachePeer cachePeer = cachePeerEntry.cachePeer;
                         remoteCachePeers.add(cachePeer);
                     } else {
-                        if (LOG.isLoggable(Level.FINE)) {
-                            LOG.log(Level.FINE, "rmiUrl " + rmiUrl + " is stale. Either the remote peer is shutdown or the " +
-                                    "network connectivity has been interrupted. Will be removed from list of remote cache peers");
-                        }
+                        LOG.debug("rmiUrl {} is stale. Either the remote peer is shutdown or the " +
+                                "network connectivity has been interrupted. Will be removed from list of remote cache peers", rmiUrl);
                         staleList.add(rmiUrl);
                     }
                 } catch (Exception exception) {
-                    LOG.log(Level.SEVERE, exception.getMessage(), exception);
+                    LOG.error(exception.getMessage(), exception);
                     throw new CacheException("Unable to list remote cache peers. Error was " + exception.getMessage());
                 }
             }
Index: src/main/java/net/sf/ehcache/distribution/RMICacheManagerPeerListener.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMICacheManagerPeerListener.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMICacheManagerPeerListener.java	(working copy)
@@ -16,12 +16,6 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Status;
-import net.sf.ehcache.event.CacheEventListener;
-
 import java.io.IOException;
 import java.net.InetAddress;
 import java.net.ServerSocket;
@@ -40,8 +34,15 @@
 import java.util.List;
 import java.util.Map;
 import java.util.Set;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Status;
+import net.sf.ehcache.event.CacheEventListener;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * A cache server which exposes available cache operations remotely through RMI.
@@ -69,7 +70,7 @@
  */
 public class RMICacheManagerPeerListener implements CacheManagerPeerListener {
 
-    private static final Logger LOG = Logger.getLogger(RMICacheManagerPeerListener.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMICacheManagerPeerListener.class);
     private static final int MINIMUM_SENSIBLE_TIMEOUT = 200;
     private static final int NAMING_UNBIND_RETRY_INTERVAL = 400;
     private static final int NAMING_UNBIND_MAX_RETRIES = 10;
@@ -116,7 +117,7 @@
         if (hostName != null && hostName.length() != 0) {
             this.hostName = hostName;
             if (hostName.equals("localhost")) {
-                LOG.log(Level.WARNING, "Explicitly setting the listener hostname to 'localhost' is not recommended. "
+                LOG.warn("Explicitly setting the listener hostname to 'localhost' is not recommended. "
                         + "It will only work if all CacheManager peers are on the same machine.");
             }
         } else {
@@ -150,9 +151,9 @@
         }
         this.port = new Integer(this.getFreePort());
         if (forced) {
-            LOG.log(Level.WARNING, "Resolving RMI port conflict by automatically using a free TCP/IP port to listen on: " + this.port);
+            LOG.warn("Resolving RMI port conflict by automatically using a free TCP/IP port to listen on: " + this.port);
         } else {
-            LOG.log(Level.FINE, "Automatically finding a free TCP/IP port to listen on: " + this.port);
+            LOG.debug("Automatically finding a free TCP/IP port to listen on: {}", this.port);
         }
     }
 
@@ -185,7 +186,7 @@
                 try {
                     serverSocket.close();
                 } catch (Exception e) {
-                    LOG.log(Level.FINE, "Error closing ServerSocket: " + e.getMessage());
+                    LOG.debug("Error closing ServerSocket: {}", e.getMessage());
                 }
             }
         }
@@ -211,7 +212,7 @@
                     counter++;
                 }
             }
-            LOG.log(Level.FINE, counter + " RMICachePeers bound in registry for RMI listener");
+            LOG.debug("{} RMICachePeers bound in registry for RMI listener", counter);
             status = Status.STATUS_ALIVE;
         } catch (Exception e) {
             String url = null;
@@ -321,7 +322,7 @@
                 registryCreated = true;
             }
         } catch (ExportException exception) {
-            LOG.log(Level.SEVERE, "Exception starting RMI registry. Error was " + exception.getMessage(), exception);
+            LOG.error("Exception starting RMI registry. Error was " + exception.getMessage(), exception);
         }
     }
 
@@ -337,9 +338,9 @@
             // thrown otherwise
             boolean success = UnicastRemoteObject.unexportObject(registry, true);
             if (success) {
-                LOG.log(Level.FINE, "rmiregistry unexported.");
+                LOG.debug("rmiregistry unexported.");
             } else {
-                LOG.log(Level.WARNING, "Could not unexport rmiregistry.");
+                LOG.warn("Could not unexport rmiregistry.");
             }
         }
     }
@@ -365,7 +366,7 @@
                 }
                 stopRegistry();
             }
-            LOG.log(Level.FINE, counter + " RMICachePeers unbound from registry in RMI listener");
+            LOG.debug("{} RMICachePeers unbound from registry in RMI listener", counter);
             status = Status.STATUS_SHUTDOWN;
         } catch (Exception e) {
             throw new CacheException("Problem unbinding remote cache peers. Initial cause was " + e.getMessage(), e);
@@ -405,7 +406,7 @@
         try {
             Naming.unbind(url);
         } catch (NotBoundException e) {
-            LOG.log(Level.WARNING, url + " not bound therefore not unbinding.");
+            LOG.warn(url + " not bound therefore not unbinding.");
         }
         // Try to gracefully unexport before forcing it.
         boolean unexported = UnicastRemoteObject.unexportObject(rmiCachePeer, false);
@@ -423,7 +424,7 @@
         // as a last resort.
         if (!unexported) {
             if (!UnicastRemoteObject.unexportObject(rmiCachePeer, true)) {
-                LOG.log(Level.WARNING, "Unable to unexport rmiCachePeer: " + rmiCachePeer.getUrl() + ".  Skipping.");
+                LOG.warn("Unable to unexport rmiCachePeer: " + rmiCachePeer.getUrl() + ".  Skipping.");
             }
         }
     }
@@ -506,9 +507,7 @@
      */
     public void notifyCacheAdded(String cacheName) throws CacheException {
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Adding " + cacheName + " to RMI listener");
-        }
+        LOG.debug("Adding {} to RMI listener", cacheName);
 
         //Don't add if exists.
         synchronized (cachePeers) {
@@ -535,9 +534,7 @@
             }
 
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, cachePeers.size() + " RMICachePeers bound in registry for RMI listener");
-        }
+        LOG.debug("{} RMICachePeers bound in registry for RMI listener", cachePeers.size());
     }
 
     /**
@@ -554,9 +551,7 @@
      */
     public void notifyCacheRemoved(String cacheName) {
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Removing " + cacheName + " from RMI listener");
-        }
+        LOG.debug("Removing {} from RMI listener", cacheName);
 
         //don't remove if already removed.
         synchronized (cachePeers) {
@@ -577,9 +572,7 @@
                     + url + " from listener. Message was: " + e.getMessage(), e);
         }
 
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, cachePeers.size() + " RMICachePeers bound in registry for RMI listener");
-        }
+        LOG.debug("{} RMICachePeers bound in registry for RMI listener", cachePeers.size());
     }
 
 
Index: src/main/java/net/sf/ehcache/distribution/RMIBootstrapCacheLoaderFactory.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMIBootstrapCacheLoaderFactory.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMIBootstrapCacheLoaderFactory.java	(working copy)
@@ -16,13 +16,14 @@
 
 package net.sf.ehcache.distribution;
 
+import java.util.Properties;
+
 import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
 import net.sf.ehcache.bootstrap.BootstrapCacheLoaderFactory;
 import net.sf.ehcache.util.PropertyUtil;
 
-import java.util.Properties;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -58,7 +59,7 @@
      */
     protected static final int FIVE_KB = 5000;
 
-    private static final Logger LOG = Logger.getLogger(RMIBootstrapCacheLoaderFactory.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMIBootstrapCacheLoaderFactory.class);
 
 
     /**
@@ -85,13 +86,13 @@
             try {
                 int maximumChunkSizeBytesCandidate = Integer.parseInt(maximumChunkSizeBytesString);
                 if ((maximumChunkSizeBytesCandidate < FIVE_KB) || (maximumChunkSizeBytesCandidate > ONE_HUNDRED_MB)) {
-                    LOG.log(Level.WARNING, "Trying to set the chunk size to an unreasonable number. Using the default instead.");
+                    LOG.warn("Trying to set the chunk size to an unreasonable number. Using the default instead.");
                     maximumChunkSizeBytes = DEFAULT_MAXIMUM_CHUNK_SIZE_BYTES;
                 } else {
                     maximumChunkSizeBytes = maximumChunkSizeBytesCandidate;
                 }
             } catch (NumberFormatException e) {
-                LOG.log(Level.WARNING, "Number format exception trying to set chunk size. Using the default instead.");
+                LOG.warn("Number format exception trying to set chunk size. Using the default instead.");
                 maximumChunkSizeBytes = DEFAULT_MAXIMUM_CHUNK_SIZE_BYTES;
             }
 
Index: src/main/java/net/sf/ehcache/distribution/RMIBootstrapCacheLoader.java
===================================================================
--- src/main/java/net/sf/ehcache/distribution/RMIBootstrapCacheLoader.java	(revision 1022)
+++ src/main/java/net/sf/ehcache/distribution/RMIBootstrapCacheLoader.java	(working copy)
@@ -16,17 +16,18 @@
 
 package net.sf.ehcache.distribution;
 
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
-
 import java.io.Serializable;
 import java.rmi.RemoteException;
 import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
+import net.sf.ehcache.bootstrap.BootstrapCacheLoader;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Loads Elements from a random Cache Peer
@@ -38,7 +39,7 @@
 
     private static final int ONE_SECOND = 1000;
 
-    private static final Logger LOG = Logger.getLogger(RMIBootstrapCacheLoader.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(RMIBootstrapCacheLoader.class);
 
     /**
      * Whether to load asynchronously
@@ -105,7 +106,7 @@
             try {
                 doLoad(cache);
             } catch (RemoteCacheException e) {
-                LOG.log(Level.WARNING, "Error asynchronously performing bootstrap. The cause was: " + e.getMessage(), e);
+                LOG.warn("Error asynchronously performing bootstrap. The cause was: " + e.getMessage(), e);
             } finally {
                 cache = null;
             }
@@ -130,13 +131,15 @@
 
         List cachePeers = acquireCachePeers(cache);
         if (cachePeers == null || cachePeers.size() == 0) {
-            LOG.log(Level.FINE, "Empty list of cache peers for cache " + cache.getName() + ". No cache peer to bootstrap from.");
+            LOG.debug("Empty list of cache peers for cache {}. No cache peer to bootstrap from.", cache.getName());
             return;
         }
         Random random = new Random();
         int randomPeerNumber = random.nextInt(cachePeers.size());
         CachePeer cachePeer = (CachePeer) cachePeers.get(randomPeerNumber);
-        LOG.log(Level.FINE, "Bootstrapping " + cache.getName() + " from " + cachePeer);
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("Bootstrapping {} from {}", cache.getName(), cachePeer);
+        }
 
         try {
 
@@ -151,8 +154,10 @@
                 }
             }
             if (sampleElement == null) {
-                LOG.log(Level.FINE, "All cache peer elements were either null or empty. Nothing to bootstrap from. Cache was "
-                        + cache.getName() + ". Cache peer was " + cachePeer);
+                if (LOG.isDebugEnabled()) {
+                    LOG.debug("All cache peer elements were either null or empty. Nothing to bootstrap from. Cache was "
+                            + "{}. Cache peer was {}", cache.getName(), cachePeer);
+                }
                 return;
             }
             long size = sampleElement.getSerializedSize();
@@ -169,8 +174,9 @@
             }
             //get leftovers
             fetchAndPutElements(cache, requestChunk, cachePeer);
-            LOG.log(Level.FINE, "Bootstrap of " + cache.getName() + " from " + cachePeer + " finished. "
-                    + keys.size() + " keys requested.");
+            
+            LOG.debug("Bootstrap of {} from {} finished. {} keys requested.",
+                    new Object[]{cache.getName(), cachePeer, keys.size()});
         } catch (Throwable t) {
             throw new RemoteCacheException("Error bootstrapping from remote peer. Message was: " + t.getMessage(), t);
         }
@@ -188,10 +194,8 @@
         if (cacheManagerPeerProvider != null) {
             timeForClusterToForm = cacheManagerPeerProvider.getTimeForClusterToForm();
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "Attempting to acquire cache peers for cache " + cache.getName()
-                    + " to bootstrap from. Will wait up to " + timeForClusterToForm + "ms for cache to join cluster.");
-        }
+        LOG.debug("Attempting to acquire cache peers for cache {} to bootstrap from. Will wait up to {}ms" +
+                " for cache to join cluster.", cache.getName(), timeForClusterToForm);
         List cachePeers = null;
         for (int i = 0; i <= timeForClusterToForm; i = i + ONE_SECOND) {
             cachePeers = listRemoteCachePeers(cache);
@@ -204,12 +208,10 @@
             try {
                 Thread.sleep(ONE_SECOND);
             } catch (InterruptedException e) {
-                LOG.log(Level.FINE, "doLoad for " + cache.getName() + " interrupted.");
+                LOG.debug("doLoad for {} interrupted.", cache.getName());
             }
         }
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.log(Level.FINE, "cache peers: " + cachePeers);
-        }
+        LOG.debug("cache peers: {}", cachePeers);
         return cachePeers;
     }
 
